Loading...
Searching...
No Matches
AVRTCPSenderReport Struct Reference

RTCP SR (Sender Report) information. More...

`#include <libavcodec/defs.h>`

## Data Fields

uint32_t | ssrc
| Synchronization source identifier.
uint64_t | ntp_timestamp
| NTP time when the report was sent.
uint32_t | rtp_timestamp
| RTP time when the report was sent.
uint32_t | sender_nb_packets
| Total number of packets sent.
uint32_t | sender_nb_bytes
| Total number of bytes sent (excluding headers or padding).

## Detailed Description

RTCP SR (Sender Report) information.

The received sender report information for an RTSP stream, exposed as AV_PKT_DATA_RTCP_SR side data.

Definition at line 345 of file defs.h.

## Field Documentation

## ssrc

uint32_t AVRTCPSenderReport::ssrc

Synchronization source identifier.

Definition at line 346 of file defs.h.

## ntp_timestamp

uint64_t AVRTCPSenderReport::ntp_timestamp

NTP time when the report was sent.

Definition at line 347 of file defs.h.

## rtp_timestamp

uint32_t AVRTCPSenderReport::rtp_timestamp

RTP time when the report was sent.

Definition at line 348 of file defs.h.

## sender_nb_packets

uint32_t AVRTCPSenderReport::sender_nb_packets

Total number of packets sent.

Definition at line 349 of file defs.h.

## sender_nb_bytes

uint32_t AVRTCPSenderReport::sender_nb_bytes

Total number of bytes sent (excluding headers or padding).

Definition at line 350 of file defs.h.

The documentation for this struct was generated from the following file:

- libavcodec/defs.h